Package be.fgov.ehealth.mediprima.core.v2

# Class MedicalCoverCommonInformationType

java.lang.Object
be.fgov.ehealth.mediprima.core.v2.MedicalCoverCommonInformationType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `DoctorType`, `HospitalizationType`, `MedicalTransportationType`, `MiscellaneousType`, `ParamedicType`, `PharmaceuticalDrugType`, `ProsthesisType`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:27+02:00", comments="JAXB RI v4.0.5") public class MedicalCoverCommonInformationType extends Object implements Serializable

Java class for MedicalCoverCommonInformationType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MedicalCoverCommonInformationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ValidityPeriod" type="{urn:be:fgov:ehealth:mediprima:core:v2}PeriodType"/>
             <element name="PswcSupport" type="{urn:be:fgov:ehealth:mediprima:core:v2}PswcSupportType" minOccurs="0"/>
             <element name="AmountPatientPartMax" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
             <element name="AllowedSupplements" type="{urn:be:fgov:ehealth:mediprima:core:v2}AllowedSupplementsType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MedicalCoverCommonInformationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AllowedSupplementsType`
  `getAllowedSupplements()`
  Description of the supplements supported by the OCMW / CPAS for the supplement.
  `Integer`
  `getAmountPatientPartMax()`
  Maximum amount supported by the OCMW / CPAS for patient personal fees ("ticket modérateur" / "Remgeld") (amount per month per type of invoice for the hospital, ...).
  `PswcSupportType`
  `getPswcSupport()`
  Gets the value of the pswcSupport property.
  `PeriodType`
  `getValidityPeriod()`
  Validity Period of the medical cover.
  `void`
  `setAllowedSupplements(AllowedSupplementsType value)`
  Sets the value of the allowedSupplements property.
  `void`
  `setAmountPatientPartMax(Integer value)`
  Sets the value of the amountPatientPartMax property.
  `void`
  `setPswcSupport(PswcSupportType value)`
  Sets the value of the pswcSupport property.
  `void`
  `setValidityPeriod(PeriodType value)`
  Sets the value of the validityPeriod property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MedicalCoverCommonInformationType

    public MedicalCoverCommonInformationType()

- ## Method Details

  - ### getValidityPeriod

    public PeriodType getValidityPeriod()
    Validity Period of the medical cover.
    Returns:
      possible object is `PeriodType`

  - ### setValidityPeriod

    public void setValidityPeriod(PeriodType value)
    Sets the value of the validityPeriod property.
    Parameters:
      `value` - allowed object is `PeriodType`
    See Also:
      - `getValidityPeriod()`

  - ### getPswcSupport

    public PswcSupportType getPswcSupport()
    Gets the value of the pswcSupport property.
    Returns:
      possible object is `PswcSupportType`

  - ### setPswcSupport

    public void setPswcSupport(PswcSupportType value)
    Sets the value of the pswcSupport property.
    Parameters:
      `value` - allowed object is `PswcSupportType`

  - ### getAmountPatientPartMax

    public Integer getAmountPatientPartMax()
    Maximum amount supported by the OCMW / CPAS for patient personal fees ("ticket modérateur" / "Remgeld") (amount per month per type of invoice for the hospital, ...). Only used when PatientPart (in element PswcSupport) is partial.
    Returns:
      possible object is `Integer`

  - ### setAmountPatientPartMax

    public void setAmountPatientPartMax(Integer value)
    Sets the value of the amountPatientPartMax property.
    Parameters:
      `value` - allowed object is `Integer`
    See Also:
      - `getAmountPatientPartMax()`

  - ### getAllowedSupplements

    public AllowedSupplementsType getAllowedSupplements()
    Description of the supplements supported by the OCMW / CPAS for the supplement. Only used when Supplement (in element PswcSupport) is partial.
    Returns:
      possible object is `AllowedSupplementsType`

  - ### setAllowedSupplements

    public void setAllowedSupplements(AllowedSupplementsType value)
    Sets the value of the allowedSupplements property.
    Parameters:
      `value` - allowed object is `AllowedSupplementsType`
    See Also:
      - `getAllowedSupplements()`